1

Currently I have problem that Valico is using std based packages like serde and serde_json. Is there any workaround to use this package?

UPDATE1: I managed to fork repo and fix some dependencies but now i am getting these errors: error_1

1 Answer 1

0

Have you tried building for WebAssembly:

# Cargo.toml
valico = { version = "2", features = ["js"] }

Perhaps it gives you a no-std version.

1
  • Yep, now i tried to fork the repo and fix some dependencies but it looks like now that it is missing some traits (i will include them in edit of post) Mar 7, 2023 at 19:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.